SSD1306 OLED display driver 1.7.8 This library is developed to control SSD1306/SSD1331/SSD1351/IL9163/PCD8554 RGB i2c/spi LED displays

Public Attributes | List of all members
ssd1306_interface_t Struct Reference
I2C/SPI: physical interface functions

`#include <ssd1306_interface.h>`

## Public Attributes
uint8_t | spi
void(* | start )(void)
void(* | stop )(void)
void(* | send )(uint8_t data)
void(* | send_buffer )(const uint8_t *buffer, uint16_t size)
| Sends bytes to SSD1306 device. More...
void(* | close )(void)
| deinitializes internal resources, allocated for interface. More...

## Detailed Description

Describes low level hardware API

Definition at line 52 of file ssd1306_interface.h.

## Member Data Documentation

## ◆ close

void(* ssd1306_interface_t::close) (void)

deinitializes internal resources, allocated for interface.

Deinitializes internal resources, allocated for interface. There is no need to use this function for microcontrollers. In general the function has meaning in Linux-like systems.

Definition at line 88 of file ssd1306_interface.h.

## ◆ send

void(* ssd1306_interface_t::send) (uint8_t data)

Sends byte to SSD1306 device

Parameters

  data | - byte to send

Definition at line 70 of file ssd1306_interface.h.

## ◆ send_buffer

void(* ssd1306_interface_t::send_buffer) (const uint8_t *buffer, uint16_t size)

Sends bytes to SSD1306 device.

Sends bytes to SSD1306 device. This functions gives ~ 30% performance increase than ssd1306_intf.send.

Parameters

  buffer | - bytes to send
  size | - number of bytes to send

Definition at line 80 of file ssd1306_interface.h.

## ◆ spi

uint8_t ssd1306_interface_t::spi

Indicates if spi or i2c interface is used.

Definition at line 57 of file ssd1306_interface.h.

## ◆ start

void(* ssd1306_interface_t::start) (void)

Starts communication with SSD1306 display.

Definition at line 61 of file ssd1306_interface.h.

## ◆ stop

void(* ssd1306_interface_t::stop) (void)

Ends communication with SSD1306 display.

Definition at line 65 of file ssd1306_interface.h.

The documentation for this struct was generated from the following file:

- src/intf/ssd1306_interface.h